# Generated from shoestrap-rails-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name shoestrap-rails

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: Shoestrap: Bootstrap 3, but just a subset
License: MIT
URL: https://github.com/jonathanpike/shoestrap
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest) >= 5.8
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(minitest-reporters) >= 1.1
# BuildRequires: rubygem(minitest-reporters) < 2
# BuildRequires: rubygem(capybara) >= 2.5
# BuildRequires: rubygem(capybara) < 3
# BuildRequires: rubygem(poltergeist) >= 1.8
# BuildRequires: rubygem(poltergeist) < 2
# BuildRequires: rubygem(actionpack) >= 4.1
# BuildRequires: rubygem(actionpack) < 5
# BuildRequires: rubygem(activesupport) >= 4.1
# BuildRequires: rubygem(activesupport) < 5
# BuildRequires: rubygem(json) >= 1.8
# BuildRequires: rubygem(json) < 2
# BuildRequires: rubygem(sprockets-rails) >= 2.1
# BuildRequires: rubygem(sprockets-rails) < 3
# BuildRequires: rubygem(jquery-rails) >= 3.1
# BuildRequires: rubygem(jquery-rails) < 4
# BuildRequires: rubygem(slim-rails) >= 3.0
# BuildRequires: rubygem(slim-rails) < 4
# BuildRequires: rubygem(uglifier) >= 2.7
# BuildRequires: rubygem(uglifier) < 3
BuildArch: noarch

%description
Shoestrap is a small subset of Bootstrap 3 with only core grid system,
typography and layout components.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.md
%{gem_instdir}/assets
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/shoestrap-rails.gemspec
%{gem_instdir}/test

%changelog
* Wed Apr 20 2022 mockbuilder - 0.0.1-1
- Initial package
